> For the complete documentation index, see [llms.txt](https://docs-v4.venus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v4.venus.io/technical-reference/reference-core-pool/interestratemodels/interestratemodellens.md).

# InterestRateModelLens

## InterestRateModelLens

Lens for querying interest rate model simulations

## Solidity API

```solidity
struct SimulationResponse {
  uint256[] borrowSimulation;
  uint256[] supplySimulation;
}
```

#### getSimulationResponse

Simulate interest rate curve fo a specific interest rate model given a reference borrow amount and reserve factor

```solidity
function getSimulationResponse(uint256 referenceAmountInWei, address interestRateModel, uint256 reserveFactorMantissa) external view returns (struct InterestRateModelLens.SimulationResponse)
```

**Parameters**

| Name                  | Type    | Description                                 |
| --------------------- | ------- | ------------------------------------------- |
| referenceAmountInWei  | uint256 | Borrow amount to use in simulation          |
| interestRateModel     | address | Address for interest rate model to simulate |
| reserveFactorMantissa | uint256 | Reserve Factor to use in simulation         |

**Return Values**

| Name | Type                                            | Description |
| ---- | ----------------------------------------------- | ----------- |
| \[0] | struct InterestRateModelLens.SimulationResponse |             |

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-v4.venus.io/technical-reference/reference-core-pool/interestratemodels/interestratemodellens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
